petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSGetTrajectory

Gets the trajectory from a TS if it exists

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetTrajectory(TS ts,TSTrajectory *tr)

Collective on TS

### Input Parameters

ts - the TS context obtained from TSCreate()

Output Parameters;

tr - the TSTrajectory object, if it exists

Note: This routine should be called after all TS options have been set

### See Also

TSGetTrajectory(), TSAdjointSolve(), TSTrajectory, TSTrajectoryCreate()

### Keywords

TS, set, checkpoint,

### Level

advanced

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/extchem.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages